Bug 439921 - align per-cpu section to configured cache bytes
align per-cpu section to configured cache bytes
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.6
All Linux
high Severity high
: rc
: ---
Assigned To: Michal Schmidt
Martin Jenner
:
Depends On:
Blocks: 461297
  Show dependency treegraph
 
Reported: 2008-03-31 19:42 EDT by Greg Marsden
Modified: 2009-05-18 15:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 15:21:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Align the start of the per-cpu section (1019 bytes, patch)
2008-03-31 19:42 EDT, Greg Marsden
no flags Details | Diff
a simple testcase (283 bytes, patch)
2008-05-22 06:02 EDT, Michal Schmidt
no flags Details | Diff

  None (edit)
Description Greg Marsden 2008-03-31 19:42:21 EDT
Description of problem:
kernel's per_cpu() API makes RDS trigger a BUG_ON() on module insertion.

The patches are:

   http://lkml.org/lkml/2006/1/27/256
   http://lkml.org/lkml/2006/1/27/255

The above fixes are made into mainline, however not in pre-2.6.16 distros per
Zach.
Comment 1 Greg Marsden 2008-03-31 19:42:21 EDT
Created attachment 299792 [details]
Align the start of the per-cpu section
Comment 2 RHEL Product and Program Management 2008-04-07 10:59:28 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Michal Schmidt 2008-05-22 06:02:31 EDT
Created attachment 306356 [details]
a simple testcase

I can reproduce the crash with this trivial kernel module. The proposed patch
fixes it. I've only tested i386 so far.
Comment 4 Michal Schmidt 2008-05-26 11:14:54 EDT
Tested successfully on x86_64 too.
Comment 6 RHEL Product and Program Management 2008-09-03 09:03:49 EDT
Updating PM score.
Comment 7 Vivek Goyal 2008-09-12 15:57:59 EDT
Committed in 78.9.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 11 errata-xmlrpc 2009-05-18 15:21:53 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html

Note You need to log in before you can comment on or make changes to this bug.